std::experimental::simd_mask(3)

NAME
std::experimental::simd_mask - std::experimental::simd_mask

Synopsis
   Defined in header <experimental/simd>
   template< class T, class Abi = simd_abi::compatible<T> > (parallelism TS v2)
   class simd_mask;
   The class template simd_mask is a data-parallel type with the element type bool. The
   width of a given simd_mask instantiation is a constant expression, determined by the
   template parameters. Specifically, simd_mask<T, Abi>::size() is always simd<T,
   Abi>::size().

Template parameters
   T - the element type simd_mask applies on
   Abi - the ABI type simd_mask applies on
  Helper alias templates
   Template Definition
   template <class T, int N> using simd_mask<T, simd_abi::fixed_size<N>>
   fixed_size_simd_mask
   template <class T> using native_simd_mask simd_mask<T, simd_abi::native>

Member types
   Member type Definition
   value_type bool
   reference implementation-defined
   simd_type simd<T, Abi>
   abi_type Abi

Member functions
   constructor constructs a simd_mask object
                 (public member function)
   copy_from loads from address
                 (public member function)
   copy_to stores to address
                 (public member function)
   operator[] accesses specified element
                 (public member function)
   operator! negates each element
                 (public member function)
   size returns the number of elements
   [static] (public static member function)

Non-member functions
   operator&& element-wise logic operators
   operator|| (function)
   operator& element-wise bitwise operators
   operator| (function)
   operator^
   operator&= element-wise compound operators
   operator|= (function)
   operator^=
   operator== element-wise relation operators
   operator!= (function)

Example